Galon Cloud
Galon API v1

/projects/{project_id}/jobs/{job_id}/cancel

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /projects/{project_id}/jobs/{job_id}/cancel

Cancel a job from the console (idempotent: a finished job returns its state)

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · required
job_idpathstring · required

Responses

StatusDescriptionBody
200job, cancelled, changed, finalJobCancelResponse
404Not found
409Not cancellable

Examples

curl

curl -X POST "$GALON_API_BASE/projects/<project_id>/jobs/<job_id>/cancel" \
  -H "Authorization: Bearer $GALON_API_KEY"